# compare_fcidumps

`psi4.driver.``compare_fcidumps`(expected, computed, label)

  Function to compare two FCIDUMP files. Prints `util.success()` when value computed matches value expected. Performs a system exit on failure. Used in input files in the test suite.

  Returns: | a dictionary of energies computed from the MO integrals.

  The key-value pairs are:
    - ‘NUCLEAR REPULSION ENERGY’ : nuclear repulsion plus frozen core energy
    - ‘ONE-ELECTRON ENERGY’ : SCF one-electron energy
    - ‘TWO-ELECTRON ENERGY’ : SCF two-electron energy
    - ‘SCF TOTAL ENERGY’ : SCF total energy
    - ‘MP2 CORRELATION ENERGY’ : MP2 correlation energy

  Parameters:

  - expected – reference FCIDUMP file
  - computed – computed FCIDUMP file
  - label – string labelling the test